PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros
ethsock.h File Reference
`#include <ptlib/ipsock.h>`
Include dependency graph for ethsock.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PEthSocket
| This class describes a type of socket that will communicate using raw ethernet packets. More...
union | PEthSocket::Address
| An ethernet MAC Address specification. More...
class | PEthSocket::Frame
| An ethernet MAC frame. More...
class | PEthSocketThread

## Macros
#define | PDECLARE_EthFrameNotifier(cls, fn) PDECLARE_NOTIFIER2(PEthSocket, cls, fn, PEthSocket::Frame &)

## Macro Definition Documentation

#define PDECLARE_EthFrameNotifier | ( |  | cls,
|  |  | fn
| ) |  | PDECLARE_NOTIFIER2(PEthSocket, cls, fn, PEthSocket::Frame &)